Bug 91426 - (i740) since upgrade from 8 to 9 screen doesn't refresh properly
(i740) since upgrade from 8 to 9 screen doesn't refresh properly
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
9
i586 Linux
high Severity high
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks: FC4Target
  Show dependency treegraph
 
Reported: 2003-05-22 11:16 EDT by mmortens
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-23 14:26:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screen shot showing mozilla issue (112.49 KB, image/png)
2003-05-22 11:20 EDT, mmortens
no flags Details
/proc/pci, X logs, X config file (76.85 KB, text/plain)
2003-05-23 11:47 EDT, mmortens
no flags Details
XF86Config (3.19 KB, text/plain)
2003-05-23 17:54 EDT, mmortens
no flags Details
XFree86.0.log (30.40 KB, text/plain)
2003-05-23 17:56 EDT, mmortens
no flags Details
/proc/pci (1.84 KB, text/plain)
2003-05-23 17:59 EDT, mmortens
no flags Details

  None (edit)
Description mmortens 2003-05-22 11:16:17 EDT
Description of problem:
Since upgrade from 8 to 9. The screen doesn't refresh properly.  When I first
login I get a block under the cusor on the desktop or wherever the cursor is. 
Then if I click and hold the scroll bar down in Mozilla 1.3.1 and go over the
main portion of the screen I get multiple cursors and snipits of the scroll bar
left on the screen where the cursor had been.  I also get unpredictable images
under the cursor when just moving the cursor.  None of these issues existed
prior to the upgrade to RH9

Version-Release number of selected component (if applicable):
mozilla-1.3-0_rh8_xft
XFree86-4.3.0-2

How reproducible:
Very!

Steps to Reproduce:
1.Follow steps in description
2.
3.
    
Actual results:
See above

Expected results:
A clean properly refreshing screen, with out artifact.

Additional info:
Comment 1 mmortens 2003-05-22 11:20:39 EDT
Created attachment 91896 [details]
screen shot showing mozilla issue

This shows the mozilla behavior
Comment 2 Mike A. Harris 2003-05-22 17:26:43 EDT
You haven't mentioned anything about what actual video hardware you are using.
It is very unlikely that if this is a bug, that it happens for everyone on
all hardware.  Please provide full details of your system, and attach your
X server log and config file.

Also, does this only occur with mozilla, or does it occur with other apps.
Please test many applications and list the names of some others that show
this (if any).

Thanks.
Comment 3 mmortens 2003-05-23 11:47:25 EDT
Created attachment 91921 [details]
/proc/pci, X logs, X config file

Here is the requested info included in one file.
Comment 4 mmortens 2003-05-23 11:52:36 EDT
Like mentioned above when I first enter the desktop (login) whereever the cursor
is I get a square about 4cmx4cm.  This happens on the desktop or whatever
application the cursor seems to be over at login.  Mozilla so far is the only
app that I get the wierd scrolling behaviour.
Comment 5 mmortens 2003-05-23 12:02:09 EDT
I also just noticed this behavior.  When an application changes screens I also
get the 4cm square under the cursor.  I will try and capture this for you.
Comment 6 Mike A. Harris 2003-05-23 17:30:08 EDT
Individual uncompressed file attachments only please, so they can be viewed
right in the web browser with a click.
Comment 7 mmortens 2003-05-23 17:54:47 EDT
Created attachment 91933 [details]
XF86Config
Comment 8 mmortens 2003-05-23 17:56:32 EDT
Created attachment 91934 [details]
XFree86.0.log
Comment 9 mmortens 2003-05-23 17:59:00 EDT
Created attachment 91935 [details]
/proc/pci
Comment 10 Mike A. Harris 2003-05-23 19:40:27 EDT
Ok, this is probably a driver bug related to Xcursor changes.  It's odd it
only happens in mozilla though.  Can you try using the following option
in the Device section of your X congig file:

Option "swcursor"

if that doesn't change things, try

Option "hwcursor"

If still no go, then try

Option "noaccel"

Report back which if any of these options make any difference, and we'll
troubleshoot further to try and narrow the problem down.

I also notice another bug in the i740 driver in your log file, which I'll
fix in the next build:
Symbol vbeFree from module /usr/X11R6/lib/modules/drivers/i740_drv.o is unresolved!

Thanks.

blizzard: Any reports of this nature against mozilla on other hardware?
Comment 12 mmortens 2003-05-27 13:25:18 EDT
The only option which had any effect was the noaccel.  So far it seems to have
fixed the problem.  

Just to clarify the issue.  At login I would get a 4cmx4cm splotch under the
cursor.  I have also notice issues with open office, including the screen
freezing and not scrolling and refreshing.
Comment 15 Mike A. Harris 2004-12-23 14:26:16 EST
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.